ibatis-user-java mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Pham Anh Tuan" <anht...@ichi-corp.jp>
Subject Re: [HELP] Warning when using JSDK1.5 to compile
Date Thu, 16 Jun 2005 02:08:40 GMT
Larry, thank you very much :)
----- Original Message ----- 
From: "Larry Meadors" <larry.meadors@gmail.com>
To: <user-java@ibatis.apache.org>
Sent: Wednesday, June 15, 2005 7:15 PM
Subject: Re: [HELP] Warning when using JSDK1.5 to compile


> Sun changed the API of the Method class from
>
> public Object invoke(Object obj, Object[] args)
>
> ...to...
>
> public Object invoke(Object obj, Object... args)
>
> In either case, the behavior is the same. It is just a warning, not an
> error, so things should work fine.
>
> Larry
>
>
> On 6/15/05, Pham Anh Tuan <anhtuan@ichi-corp.jp> wrote:
>>
>>
>>
>> I got warning when I use JDK1.5 to compile BeanAction in
>> ibatis\struts\BeanAction.java
>>
>> error:
>>
>> warning: non-varargs call of varargs method with inexact argument type 
>> for
>> last parameter;
>>
>> cast to java.lang.Object for a varargs call
>>
>> [javac] cast to java.lang.Object[] for a non-varargs call and to suppress
>> this warning
>>
>> [javac] forward = (String) method.invoke(form, null);
>>
>> [javac] ^
>>
>> [javac] Note: * uses or overrides a deprecated API.
>>
>> [javac] Note: Recompile with -Xlint:deprecation for details.
>>
>> [javac] Note: Some input files use unchecked or unsafe operations.
>>
>> [javac] Note: Recompile with -Xlint:unchecked for details.
>>
>> What's wrong ... ?
>>
>> Help me
>>
>> Thank for ur reading
>>
>> Anh Tuan
>
> 



Mime
View raw message